Jump to content

Bug? ...or feature? uTorrent 2.x build 17273+ & Windows NT 4.0


Chris64

Recommended Posts

Hi,

I fired up my NT4 partition and loaded uTorrent, which was still sitting at 1.8.5. To my dismay it did not update to the latest version. So I went and downloaded it manually, only to find that the latest version seems to have broken compatibility. Backtracking through releases, I found that uTorrent 2.0 Beta Build 17188 was the last version to work without issue. Beginning with build 17273 & continuing through the current release, I receive "This program is not a valid Windows NT application" error messages and the program fails.

I have done a profile with Dependency Walker 2.2 of the utorrent executable and it does not seem that it is calling any missing W2K or later APIs as nothing shows itself to be amiss.

Was compatibility deliberately broken and/or are the developers aware of this issue? I note that "Windows NT/2000, XP, 2003, Vista, 7, Wine" are listed under system requirements at http://www.utorrent.com/downloads so I am presuming this is a bug.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...